/*-----------------------------------------------------------------------------
*
* Enhydra JdbcS
* The Initial Developer of the Original Code is Lutris Technologies Inc.
* Portions created by Lutris are Copyright 1997-2000 Lutris Technologies Inc.
* All Rights Reserved.
*
* The contents of this file are subject to the Enhydra Public License
* Version 1.1 (the "License"); you may not use this file except in compliance
* with the License. You may obtain a copy of the License at
* www.enhydra.org/license/epl.html
*
* Software distributed under the License is distributed on an "ASIS" basis,
* WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
* the specific language governing rights and limitations under the License.
*
* -----------------------------------------------------------------------------
*/
package org.enhydra.jdbc.util;

import org.apache.commons.logging.Log;

import java.io.PrintWriter;

public class Logger extends PrintWriter{
    private Log log;

    public Logger(Log log) {
        super(new PrintWriter(System.err));
        this.log = log;
    }

    public void debug(Object o) {
        log.debug(o);
    }
    public void info(Object o) {
        log.info(o);
    }
    public void warn(Object o) {
        log.warn(o);
    }
    public void error(Object o) {
        log.error(o);
    }
    public void fatal(Object o) {
        log.fatal(o);
    }

}
